# Uses of Class
org.eclipse.swt.events.ShellEvent

Packages that use ShellEvent
Package
Description
org.eclipse.swt.events

## Uses of ShellEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type ShellEvent
Modifier and Type
Method
Description
`void`
ShellAdapter.`shellActivated(ShellEvent e)`
Sent when a shell becomes the active window.
`void`
ShellListener.`shellActivated(ShellEvent e)`
Sent when a shell becomes the active window.
`void`
ShellAdapter.`shellClosed(ShellEvent e)`
Sent when a shell is closed.
`void`
ShellListener.`shellClosed(ShellEvent e)`
Sent when a shell is closed.
`void`
ShellAdapter.`shellDeactivated(ShellEvent e)`
Sent when a shell stops being the active window.
`void`
ShellListener.`shellDeactivated(ShellEvent e)`
Sent when a shell stops being the active window.